Bug 185392 - Incorrect error message about hexadecimal digits
Incorrect error message about hexadecimal digits
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-bind (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: EasyFix, Reopened, StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-14 05:12 EST by Göran Uddeborg
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 07:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2006-03-14 05:12:09 EST
Description of problem:
In sysstem-config-bind, line 508 of RRGUI.py, there is a message about bad
characters in an hexadecimal IPv6 address.  But the error message claims all
ASCII letters (A-Z) should be valid.  This is incorrect, only characters in the
range A-F are valid.  (The actual check in the code a few lines above is
correct.)  The ranges in the error message should be corrected.

Version-Release number of selected component (if applicable):
system-config-bind-4.0.0-38_FC4
Comment 1 Jason Vas Dias 2006-03-14 15:26:14 EST
Thanks - sorry for the typo. Fixed in CVS - will go into next version (4.0.0-42+).
Comment 2 Bill Nottingham 2006-09-21 22:15:11 EDT
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.
Comment 3 Göran Uddeborg 2006-09-24 06:33:18 EDT
It is still there when I look:

server2$ rpm -q system-config-bind
system-config-bind-4.0.0-42_FC5
server2$ sed -n 508p /usr/share/system-config-bind/RRGUI.py
            s.dialog.gui.modalError(s.dialog.dialog,_('Invalid IPv6 Address "%s"
contains invalid hex digits : only [0-9] [A-Z] [a-z] allowed.') % hex)
Comment 4 Martin Stransky 2006-10-17 07:28:26 EDT
fixed in rawhide now.

Note You need to log in before you can comment on or make changes to this bug.